{% load static %}

<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <link href="https://fonts.googleapis.com/css?family=Overpass&display=swap" rel="stylesheet">
  <link rel="stylesheet" href="{% static 'dashboard/node_modules/leaflet/dist/leaflet.css' %}">
  <link rel="stylesheet" href="{% static 'dashboard/js/libraries/jquery-ui-1.12.1/jquery-ui.min.css' %}">
  <link rel="stylesheet" href="{% static 'dashboard/node_modules/bootstrap/dist/css/bootstrap.min.css' %}">
  <script src="{% static 'dashboard/node_modules/leaflet/dist/leaflet.js' %}"></script>
  <script src="{% static 'dashboard/node_modules/jquery/dist/jquery.min.js' %}"></script>
  <script src="{% static 'dashboard/js/libraries/jquery-ui-1.12.1/jquery-ui.min.js' %}"></script>
  <script src="{% static 'dashboard/node_modules/bootstrap/dist/js/bootstrap.min.js' %}"></script>
  <script src="{% static 'dashboard/node_modules/d3/dist/d3.min.js' %}"></script>
  <!-- <script src="https://unpkg.com/@ngageoint/leaflet-geopackage@2.0.5/dist/leaflet-geopackage.min.js"></script> -->
  <!-- <script src="{% static 'dashboard/js/libraries/leaflet-geopackage.min.js' %}"></script> -->
  <link rel="stylesheet" type="text/css" href="{% static 'dashboard/css/main.css' %}">
  <link rel="stylesheet" type="text/css" href="{% static 'dashboard/css/map.css' %}">
  <link rel="stylesheet" type="text/css" href="{% static 'dashboard/css/plot.css' %}">
  <title>{% block title %}INSUBRI.PARKS{% endblock %}</title>
</head>
<body>
  <div class="container-fluid">
      <div class="row">
          <div class="col-lg-5">
            <div class="dashboard-section">
              <div class="dashboard-title">Parks of Insubria</div>
              <div id="map"></div>
            </div>
          </div>
          <div class="col-lg-5">
            <div class="dashboard-section">
              <div class="dashboard-title">Crowdsourced Data</div>
              <div id="plot">
                <div id="date">
                  Date: <span id="date-label-1">13/02/2020</span>–<span id="date-label-2"></span>
                  <div id="date-slider"></div>
                </div>
                <div id="form-replot">
                  <form action="{% url 'dashboard:replot' %}" method="post">
                    {% csrf_token %}
                    <input type="text" name="hashtag" placeholder="Search the tweets...">
                    <input type="submit" value="Replot">
                  </form>
                </div>
              </div>
            </div>
          </div>
      </div>
    </div>
  <script>
    var boscoDelPenzDirectory = "{% static 'dashboard/geojson/bosco_del_penz.geojson' %}";
    var campoDeiFioriDirectory = "{% static 'dashboard/geojson/campo_dei_fiori.geojson' %}";
    var goleDellaBreggiaDirectory = "{% static 'dashboard/geojson/gole_della_breggia.geojson' %}";
    var pinetaDirectory = "{% static 'dashboard/geojson/pineta.geojson' %}";
    var spinaVerdeDirectory = "{% static 'dashboard/geojson/spina_verde.geojson' %}";

    var tweetsJsonAggregatedDay = JSON.parse('{{ tweets_json_aggregated_day | escapejs }}');
  </script>
  <script src="{% static 'dashboard/js/map.js' %}"></script>
  <script src="{% static 'dashboard/js/plot.js' %}"></script>
</body>
</html>
